%define section free

Summary:        Java extensions for DocBook XSL
Name:           docbook-xsl-java
Version:        1.62.4
Release:        1jpp
Epoch:          0
Group:          Text Processing/Markup/XML
License:        Distributable
URL:            http://docbook.sourceforge.net/
Source:         http://download.sf.net/docbook/docbook-xsl-1.62.4.tar.gz
Patch0:         %{name}-crosslink.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  ant, xalan-j2, xerces-j2, saxon >= 0:6.4.3, java-javadoc
BuildRequires:  jpackage-utils >= 0:1.5, xalan-j2-javadoc, saxon-javadoc

%description
Java extensions for DocBook XSL Stylesheets.

%package        xalan
Group:          Text Processing/Markup/XML
Summary:        Xalan extensions for DocBook XSL
Requires:       xalan-j2, xerces-j2

%description    xalan
Xalan extensions for DocBook XSL.

%package        saxon
Group:          Text Processing/Markup/XML
Summary:        SAXON extensions for DocBook XSL
Requires:       saxon >= 0:6.4.3

%description    saxon
SAXON extensions for DocBook XSL.

%package        xalan-javadoc
Group:          Development/Documentation
Summary:        Javadoc for Xalan extensions for DocBook XSL

%description    xalan-javadoc
Javadoc for Xalan extensions for DocBook XSL.

%package        saxon-javadoc
Group:          Development/Documentation
Summary:        Javadoc for SAXON extensions for DocBook XSL

%description    saxon-javadoc
Javadoc for SAXON extensions for DocBook XSL.


%prep
%setup -q -n docbook-xsl-%{version}
%patch0 -p0
rm -rf extensions/*.jar extensions/docs


%build
pushd extensions
CLASSPATH=%(build-classpath xalan-j2 xerces-j2 saxon) ant \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dxalan.javadoc=%{_javadocdir}/xalan-j2 \
  -Dsaxon.javadoc=%{_javadocdir}/saxon
popd


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p extensions/build/lib/docbook-xsl-xalan.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-xalan-%{version}.jar
cp -p extensions/build/lib/docbook-xsl-saxon.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-saxon-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
cp -pr extensions/build/api/xalan/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
cp -pr extensions/build/api/saxon/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
# ghost symlinks
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s docbook-xsl-xalan-%{version} docbook-xsl-xalan
ln -s docbook-xsl-saxon-%{version} docbook-xsl-saxon
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post xalan-javadoc
rm -f %{_javadocdir}/docbook-xsl-xalan
rm -f %{_javadocdir}/%{name}-xalan # buggy old packages
ln -s docbook-xsl-xalan-%{version} %{_javadocdir}/docbook-xsl-xalan

%post saxon-javadoc
rm -f %{_javadocdir}/docbook-xsl-saxon
rm -f %{_javadocdir}/%{name}-saxon # buggy old package
ln -s docbook-xsl-saxon-%{version} %{_javadocdir}/docbook-xsl-saxon


%files xalan
%defattr(0644,root,root,0755)
%doc extensions/xalan2/com/nwalsh/xalan/ChangeLog
%{_javadir}/docbook-xsl-xalan*.jar

%files saxon
%defattr(0644,root,root,0755)
%doc extensions/saxon643/com/nwalsh/saxon/ChangeLog
%{_javadir}/docbook-xsl-saxon*.jar

%files xalan-javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/docbook-xsl-xalan-%{version}
%ghost %doc %{_javadocdir}/docbook-xsl-xalan

%files saxon-javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/docbook-xsl-saxon-%{version}
%ghost %doc %{_javadocdir}/docbook-xsl-saxon


%changelog
* Mon Sep 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.62.4-1jpp
- Update to 1.62.4.
- Mark javadocs as %%doc.
- Crosslink with local SDK javadocs.
- %%ghost'ify and own unversioned javadoc dir symlinks.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.62.0-1jpp
- Update to 1.62.0.
- Fix versionless javadoc dir symlinks.
- Crosslink with local javadocs.

* Mon Jun  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.61.2-1jpp
- Update to 1.61.2 (just to track releases, no changes to Java stuff).

* Sun May 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.61.0-1jpp
- Update to 1.61.0.
- The xalan-j2 extension Requires and BuildRequires xerces-j2.
- Include non-versioned javadoc symlinks.

* Fri Apr 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.60.1-2jpp
- Rebuild for JPackage 1.5.

* Sat Jan 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.60.1-1jpp
- Update to 1.60.1 (just to track releases, no changes to Java stuff).

* Tue Dec 10 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.58.1-1jpp
- Update to 1.58.1.
- Our build.xml was accepted upstream, it's in the tarball now :)
- Fixed javadoc Group tag.

* Tue Oct 22 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.57.0-1jpp
- Update to 1.57.0 (just to track releases, no changes to Java stuff).

* Fri Oct 11 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.56.1-1jpp
- Initial JPackage release.
